[Python-checkins] distutils2: Get more info from tests and also run with Python 2.7.

tarek.ziade python-checkins at python.org
Sat Jul 3 16:19:06 CEST 2010


tarek.ziade pushed 408a80b82cd0 to distutils2:

http://hg.python.org/distutils2/rev/408a80b82cd0
changeset:   245:408a80b82cd0
user:        ?ric Araujo <merwok at netwok.org>
date:        Wed Jun 30 18:10:13 2010 +0200
summary:     Get more info from tests and also run with Python 2.7.
files:       src/tests.sh

diff --git a/src/tests.sh b/src/tests.sh
--- a/src/tests.sh
+++ b/src/tests.sh
@@ -1,6 +1,6 @@
 #!/bin/sh
 echo -n "Running tests for Python 2.4... "
-python2.4 runtests.py -q > /dev/null 2> /dev/null
+python2.4 -Wd runtests.py -q 2> /dev/null
 if [ $? -ne 0 ];then
     echo "Failed"
     exit 1
@@ -9,7 +9,7 @@
 fi
 
 echo -n "Running tests for Python 2.5... "
-python2.5 runtests.py -q > /dev/null 2> /dev/null
+python2.5 -Wd runtests.py -q 2> /dev/null
 if [ $? -ne 0 ];then
     echo "Failed"
     exit 1
@@ -18,7 +18,7 @@
 fi
 
 echo -n "Running tests for Python 2.6... "
-python2.6 runtests.py -q > /dev/null 2> /dev/null
+python2.6 -Wd -bb -3 runtests.py -q 2> /dev/null
 if [ $? -ne 0 ];then
     echo "Failed"
     exit 1
@@ -26,3 +26,11 @@
     echo "Success"
 fi
 
+echo -n "Running tests for Python 2.7... "
+python2.7 -Wd -bb -3 runtests.py -q 2> /dev/null
+if [ $? -ne 0 ];then
+    echo "Failed"
+    exit 1
+else
+    echo "Success"
+fi

--
Repository URL: http://hg.python.org/distutils2


More information about the Python-checkins mailing list